Page MenuHomePhabricator

[LLDB] Remove all abandoned LLDB bots
ClosedPublic

Authored by rnk on Feb 7 2019, 10:27 AM.

Details

Summary

All of these bots have been broken for months -- in some cases years. Removing them from the waterfall.

Diff Detail

Event Timeline

zturner created this revision.Feb 7 2019, 10:27 AM
stella.stamenova accepted this revision.Feb 7 2019, 10:36 AM

There's another patch (https://reviews.llvm.org/D54386/) which is fixing the fedora bot. You might want to leave that one.

This revision is now accepted and ready to land.Feb 7 2019, 10:36 AM
zturner updated this revision to Diff 185864.Feb 7 2019, 1:50 PM

I added the Fedora bot back and rebased this on top of Jan's patch from D54386.

srhines accepted this revision.Feb 7 2019, 3:44 PM

LGTM for removing the broken Android builders.

labath accepted this revision.Feb 8 2019, 1:56 AM
labath added a comment.Apr 1 2019, 4:42 AM

Zach, what's the status of this? I'm getting ready to add a new lldb bot, and it would be nice to remove the old ones first..

stella.stamenova requested changes to this revision.Apr 3 2019, 1:37 PM
stella.stamenova added inline comments.
buildbot/osuosl/master/master.cfg
185

I think this means you can remove LLDBTriggerable.py as well

191

The lldb_scheduler should stay. @labath suggested that maybe it doesn't have to because the getSingleBranchSchedulers should cover the LLDB builders, but not all the LLDB builders are setup with depends_on_projects properties, so for some of them, getSingleBranchSchedulers will not work properly. You just need to update the builderNames list for the lldb_scheduler to no longer exclude the now-nonexistent lldb_android_builders

This revision now requires changes to proceed.Apr 3 2019, 1:37 PM
zturner updated this revision to Diff 193613.Apr 3 2019, 3:42 PM

Add the scheduler back but remove the android builder only.

zturner updated this revision to Diff 193614.Apr 3 2019, 3:44 PM

Also remove LLDBTriggerable.py

This revision is now accepted and ready to land.Apr 3 2019, 3:50 PM
labath accepted this revision.Apr 4 2019, 1:51 AM
gkistanova accepted this revision.Apr 4 2019, 1:11 PM

Thanks for cleaning this!

rnk commandeered this revision.Apr 4 2019, 1:26 PM
rnk added a reviewer: zturner.
rnk added a subscriber: rnk.

Landing this for @zturner since he's busy with other tasks.

This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptApr 4 2019, 1:28 PM